Bug 199481 - [iOS 13] Enable WebKit build
Summary: [iOS 13] Enable WebKit build
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-03 16:45 PDT by Jonathan Bedard
Modified: 2019-09-17 19:48 PDT (History)
10 users (show)

See Also:


Attachments
patch-1 (21.83 KB, patch)
2019-07-09 13:38 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
patch-2 (21.87 KB, patch)
2019-07-09 13:51 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
patch-3 (22.10 KB, patch)
2019-07-09 15:58 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
patch-4 (22.12 KB, patch)
2019-07-09 16:44 PDT, Jonathan Bedard
thorton: review+
Details | Formatted Diff | Diff
patch-5 (21.74 KB, patch)
2019-07-10 17:08 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (2.95 KB, patch)
2019-09-17 16:02 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2019-07-03 16:45:44 PDT
WebKit should build with the public iOS 13 SDK.
Comment 1 Radar WebKit Bug Importer 2019-07-03 16:46:10 PDT
<rdar://problem/52619048>
Comment 2 Jonathan Bedard 2019-07-09 13:38:41 PDT
Created attachment 373752 [details]
patch-1
Comment 3 Build Bot 2019-07-09 13:41:06 PDT
Attachment 373752 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/pal/spi/cocoa/NSProgressSPI.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Jonathan Bedard 2019-07-09 13:51:31 PDT
Created attachment 373756 [details]
patch-2
Comment 5 Build Bot 2019-07-09 14:05:06 PDT
Attachment 373756 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/pal/spi/cocoa/NSProgressSPI.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Jonathan Bedard 2019-07-09 15:58:47 PDT
Created attachment 373787 [details]
patch-3
Comment 7 Build Bot 2019-07-09 16:02:07 PDT
Attachment 373787 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/pal/spi/cocoa/NSProgressSPI.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Jonathan Bedard 2019-07-09 16:44:33 PDT
Created attachment 373791 [details]
patch-4
Comment 9 Build Bot 2019-07-09 16:46:00 PDT
Attachment 373791 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/pal/spi/cocoa/NSProgressSPI.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Simon Fraser (smfr) 2019-07-10 16:01:53 PDT
This bug needs a better title.
Comment 11 Jonathan Bedard 2019-07-10 17:08:19 PDT
Created attachment 373879 [details]
patch-5
Comment 12 Build Bot 2019-07-10 17:23:04 PDT
Attachment 373879 [details] did not pass style-queue:


ERROR: Source/WebCore/PAL/pal/spi/cocoa/NSProgressSPI.h:30:  Misplaced OS version check. Please use a named macro in wtf/Platform.h, wtf/FeatureDefines.h, or an appropriate internal file.  [build/version_check] [5]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 WebKit Commit Bot 2019-07-11 10:18:05 PDT
Comment on attachment 373879 [details]
patch-5

Clearing flags on attachment: 373879

Committed r247355: <https://trac.webkit.org/changeset/247355>
Comment 14 WebKit Commit Bot 2019-07-11 10:18:06 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Jonathan Bedard 2019-09-17 16:02:30 PDT
Reopening to attach new patch.
Comment 16 Jonathan Bedard 2019-09-17 16:02:31 PDT
Created attachment 379002 [details]
Patch
Comment 17 WebKit Commit Bot 2019-09-17 19:48:16 PDT
Comment on attachment 379002 [details]
Patch

Clearing flags on attachment: 379002

Committed r250020: <https://trac.webkit.org/changeset/250020>
Comment 18 WebKit Commit Bot 2019-09-17 19:48:18 PDT
All reviewed patches have been landed.  Closing bug.